package de.avatic.lcc.model.azuremaps.geocoding;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class GeocodePoint {

    @JsonProperty("geometry")
    private Geometry geometry;

    @JsonProperty("calculationMethod")
    private String calculationMethod;

    @JsonProperty("usageTypes")
    private List<String> usageTypes;

    public Geometry getGeometry() {
        return geometry;
    }

    public void setGeometry(Geometry geometry) {
        this.geometry = geometry;
    }

    public String getCalculationMethod() {
        return calculationMethod;
    }

    public void setCalculationMethod(String calculationMethod) {
        this.calculationMethod = calculationMethod;
    }

    public List<String> getUsageTypes() {
        return usageTypes;
    }

    public void setUsageTypes(List<String> usageTypes) {
        this.usageTypes = usageTypes;
    }
}